Foreman - Bug #13664

Error 500 when a host informs the foreman it is built but foreman can not send mails
02/11/2016 05:12 AM - Julien Pivotto

Status: Closed
Priority: Normal
Assignee: Shlomi Zadok
Category: E-Mail
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.10.1
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3176
Description

When the foreman email is not properly configured, and a host is provisioned, it gets a 500 error when informing Foreman that it is
built.

Attached the production.log in this ticket.
In the kickstart logs:

Informing Foreman that we are built

--2016-02-11 10:57:40-- http://172.22.110.154/unattended/built?token=£fgcfa081-a398-4333-b351-d3af
03c0£3921

Connecting to 172.22.110.154:80... connected.

HTTP request sent, awaiting response... 500 Internal Server Error

2016-02-11 10:57:42 ERROR 500: Internal Server Error.

Still the host is marked as built, as expected.
Expected behavior:

It logs in production.log that it can not send the email but returns 200. | do not want my host to be rebuild in a loop just because email
can not be sent.

Associated revisions

Revision a90e4f2f - 02/19/2016 04:31 AM - Shlomi Zadok

Fixes #13664 - rescue smtp errors if mail failed on host built

History

#1 - 02/11/2016 05:15 AM - Dominic Cleal
- Category set to E-Mail

#2 - 02/11/2016 05:21 AM - Julien Pivotto

- Description updated

#3 - 02/11/2016 05:22 AM - Julien Pivotto

- Description updated

#4 - 02/14/2016 06:13 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Shlomi Zadok

- Pull request https://github.com/theforeman/foreman/pull/3176 added

#5 - 02/19/2016 05:02 AM - Shlomi Zadok

05/21/2024 1/2




- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset a90e4f2fe26529406220024073d8052af7c5b67b.

#6 - 02/22/2016 10:47 AM - Dominic Cleal

- translation missing: en.field_release set to 71

Files

production.log 14.9 KB
